Index: include/brlcad/Arb8.h
===================================================================
--- include/brlcad/Arb8.h	(revision 74453)
+++ include/brlcad/Arb8.h	(working copy)
@@ -39,22 +39,22 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Arb8 : public Object {
     public:
-        Arb8(void) throw(bad_alloc);
+        Arb8(void);
         Arb8(const Vector3D& point1,
              const Vector3D& point2,
              const Vector3D& point3,
-             const Vector3D& point4) throw(bad_alloc); ///< arb4 constructor
+             const Vector3D& point4); ///< arb4 constructor
         Arb8(const Vector3D& point1,
              const Vector3D& point2,
              const Vector3D& point3,
              const Vector3D& point4,
-             const Vector3D& point5) throw(bad_alloc); ///< arb5 constructor
+             const Vector3D& point5); ///< arb5 constructor
         Arb8(const Vector3D& point1,
              const Vector3D& point2,
              const Vector3D& point3,
              const Vector3D& point4,
              const Vector3D& point5,
-             const Vector3D& point6) throw(bad_alloc); ///< arb6 constructor
+             const Vector3D& point6); ///< arb6 constructor
         Arb8(const Vector3D& point1,
              const Vector3D& point2,
              const Vector3D& point3,
@@ -61,7 +61,7 @@
              const Vector3D& point4,
              const Vector3D& point5,
              const Vector3D& point6,
-             const Vector3D& point7) throw(bad_alloc); ///< arb7 constructor
+             const Vector3D& point7); ///< arb7 constructor
         Arb8(const Vector3D& point1,
              const Vector3D& point2,
              const Vector3D& point3,
@@ -69,17 +69,17 @@
              const Vector3D& point5,
              const Vector3D& point6,
              const Vector3D& point7,
-             const Vector3D& point8) throw(bad_alloc); ///< arb8 constructor
+             const Vector3D& point8); ///< arb8 constructor
         Arb8(const Vector3D& point1,
-             const Vector3D& point2) throw(bad_alloc); ///< rectangular parallel piped constructor
-        Arb8(const Arb8& original) throw(bad_alloc);
-        virtual ~Arb8(void) throw();
+             const Vector3D& point2); ///< rectangular parallel piped constructor
+        Arb8(const Arb8& original);
+        virtual ~Arb8(void);
 
-        const Arb8&           operator=(const Arb8& original) throw(bad_alloc);
+        const Arb8&           operator=(const Arb8& original);
 
         /// number of effective vertices
         /** returns 0 in case of en error */
-        size_t                NumberOfVertices(void) const throw();
+        size_t                NumberOfVertices(void) const;
 
         /** The argument is the number (1..8) of the vertex as used in the documentation,
             not the index at the storage-structure of an arb8.
@@ -86,30 +86,30 @@
             E.g. with an arb4 "number = 3" returns the vertex with index 2
             and "number = 4" returns the vertex with index 4.
         */
-        Vector3D              Point(size_t number) const throw();
+        Vector3D              Point(size_t number) const;
         void                  SetPoint(size_t    number,
-                                       Vector3D& point) throw();
+                                       Vector3D& point);
 
         /** for convenience one can access the internal storage-structure too */
-        Vector3D              RawPoint(size_t index) const throw();
+        Vector3D              RawPoint(size_t index) const;
         void                  SetRawPoint(size_t    index,
-                                          Vector3D& point) throw();
+                                          Vector3D& point);
 
         void                  SetPoints(const Vector3D& point1,
                                         const Vector3D& point2,
                                         const Vector3D& point3,
-                                        const Vector3D& point4) throw(); ///< this becomes an arb4
+                                        const Vector3D& point4); ///< this becomes an arb4
         void                  SetPoints(const Vector3D& point1,
                                         const Vector3D& point2,
                                         const Vector3D& point3,
                                         const Vector3D& point4,
-                                        const Vector3D& point5) throw(); ///< this becomes an arb5
+                                        const Vector3D& point5); ///< this becomes an arb5
         void                  SetPoints(const Vector3D& point1,
                                         const Vector3D& point2,
                                         const Vector3D& point3,
                                         const Vector3D& point4,
                                         const Vector3D& point5,
-                                        const Vector3D& point6) throw(); ///< this becomes an arb6
+                                        const Vector3D& point6); ///< this becomes an arb6
         void                  SetPoints(const Vector3D& point1,
                                         const Vector3D& point2,
                                         const Vector3D& point3,
@@ -116,7 +116,7 @@
                                         const Vector3D& point4,
                                         const Vector3D& point5,
                                         const Vector3D& point6,
-                                        const Vector3D& point7) throw(); ///< this becomes an arb7
+                                        const Vector3D& point7); ///< this becomes an arb7
         void                  SetPoints(const Vector3D& point1,
                                         const Vector3D& point2,
                                         const Vector3D& point3,
@@ -124,22 +124,22 @@
                                         const Vector3D& point5,
                                         const Vector3D& point6,
                                         const Vector3D& point7,
-                                        const Vector3D& point8) throw(); ///< this becomes an arb8
+                                        const Vector3D& point8); ///< this becomes an arb8
         void                  SetPoints(const Vector3D& point1,
-                                        const Vector3D& point2) throw(); ///< this becomes an rectangular parallel piped
+                                        const Vector3D& point2); ///< this becomes an rectangular parallel piped
 
         // inherited from BRLCAD::Object
-        virtual const Object& operator=(const Object& original) throw(bad_alloc);
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw();
-        virtual bool          IsValid(void) const throw(); ///< checks for planarity of faces and direction of face normals
+        virtual const Object& operator=(const Object& original);
+        virtual Object*       Clone(void) const;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const;
+        virtual bool          IsValid(void) const; ///< checks for planarity of faces and direction of face normals
 
     protected:
         Arb8(resource*       resp,
              directory*      pDir,
              rt_db_internal* ip,
-             db_i*           dbip) throw();
+             db_i*           dbip);
 
         friend class ConstDatabase;
 
@@ -146,8 +146,8 @@
     private:
         rt_arb_internal* m_internalp;
 
-        rt_arb_internal*	Internal(void) throw();
-        const rt_arb_internal*	Internal(void) const throw();
+        rt_arb_internal*	Internal(void);
+        const rt_arb_internal*	Internal(void) const;
 
         friend class Database;
     };
Index: include/brlcad/BagOfTriangles.h
===================================================================
--- include/brlcad/BagOfTriangles.h	(revision 74453)
+++ include/brlcad/BagOfTriangles.h	(working copy)
@@ -48,19 +48,19 @@
             CounterClockWise
         };
 
-        BagOfTriangles(void) throw(bad_alloc);
-        BagOfTriangles(const BagOfTriangles& original) throw(bad_alloc);
-        virtual ~BagOfTriangles(void) throw();
+        BagOfTriangles(void);
+        BagOfTriangles(const BagOfTriangles& original);
+        virtual ~BagOfTriangles(void);
 
-        const BagOfTriangles& operator=(const BagOfTriangles& original) throw(bad_alloc);
+        const BagOfTriangles& operator=(const BagOfTriangles& original);
 
         class BRLCAD_COREINTERFACE_EXPORT Face {
         public:
-            Face(void) throw() : m_bot(0), m_faceIndex(0) {}
-            Face(const Face& original) throw() : m_bot(original.m_bot), m_faceIndex(original.m_faceIndex) {}
-            ~Face(void) throw() {}
+            Face(void): m_bot(0), m_faceIndex(0) {}
+            Face(const Face& original): m_bot(original.m_bot), m_faceIndex(original.m_faceIndex) {}
+            ~Face(void){}
 
-            const Face& operator=(const Face& original) throw() {
+            const Face& operator=(const Face& original){
                 m_bot       = original.m_bot;
                 m_faceIndex = original.m_faceIndex;
 
@@ -67,25 +67,25 @@
                 return *this;
             }
 
-            Vector3D    Point(size_t index) const throw();
+            Vector3D    Point(size_t index) const;
             void        SetPoint(size_t          index,
-                                 const Vector3D& point) throw(bad_alloc);
+                                 const Vector3D& point);
             void        SetPoints(const Vector3D& point1,
                                   const Vector3D& point2,
-                                  const Vector3D& point3) throw(bad_alloc);
+                                  const Vector3D& point3);
 
-            double      Thickness(void) const throw();
-            void        SetThickness(double value) throw();
+            double      Thickness(void) const;
+            void        SetThickness(double value);
 
-            bool        ApendThickness(void) const throw();
-            void        SetApendThickness(bool apendThickness) throw();
+            bool        ApendThickness(void) const;
+            void        SetApendThickness(bool apendThickness);
 
-            Vector3D    Normal(size_t index) const throw();
+            Vector3D    Normal(size_t index) const;
             void        SetNormal(size_t          index,
-                                  const Vector3D& normal) throw();
+                                  const Vector3D& normal);
             void        SetNormals(const Vector3D& normal1,
                                    const Vector3D& normal2,
-                                   const Vector3D& normal3) throw(bad_alloc);
+                                   const Vector3D& normal3);
 
                         operator void*(void) { ///< to test if the face is NULL
                 return m_bot;
@@ -93,7 +93,7 @@
 
         protected:
             Face(rt_bot_internal* original,
-                 size_t           originalIndex) throw() : m_bot(original), m_faceIndex(originalIndex) {}
+                 size_t           originalIndex): m_bot(original), m_faceIndex(originalIndex) {}
 
             friend BagOfTriangles;
 
@@ -102,49 +102,49 @@
             size_t           m_faceIndex;
         };
 
-        BotMode               Mode(void) const throw();
-        void                  SetMode(BotMode mode) throw(bad_alloc);
+        BotMode               Mode(void) const;
+        void                  SetMode(BotMode mode);
 
-        BotOrientation        Orientation(void) const throw();
-        void                  SetOrientation(BotOrientation orientation) throw();
+        BotOrientation        Orientation(void) const;
+        void                  SetOrientation(BotOrientation orientation);
 
-        bool                  FacesHaveNormals(void) const throw();
-        void                  SetFacesHaveNormals(bool facesHaveNormals) throw(bad_alloc);
+        bool                  FacesHaveNormals(void) const;
+        void                  SetFacesHaveNormals(bool facesHaveNormals);
 
-        bool                  UseFaceNormals(void) const throw();
-        void                  SetUseFaceNormals(bool useFaceNormals) throw();
+        bool                  UseFaceNormals(void) const;
+        void                  SetUseFaceNormals(bool useFaceNormals);
 
-        bool                  UseFloats(void) const throw();
-        void                  SetUseFloats(bool useFloats) throw();
+        bool                  UseFloats(void) const;
+        void                  SetUseFloats(bool useFloats);
 
-        size_t                NumberOfFaces(void) const throw();
+        size_t                NumberOfFaces(void) const;
 
-        Face                  GetFace(size_t index) throw();
+        Face                  GetFace(size_t index);
         Face                  AddFace(const Vector3D& point1,
                                       const Vector3D& point2,
-                                      const Vector3D& point3) throw(bad_alloc);
+                                      const Vector3D& point3);
 
-        void                  DeleteFace(size_t index) throw(bad_alloc);
+        void                  DeleteFace(size_t index);
 
         // inherited from BRLCAD::Object
-        virtual const Object& operator=(const Object& original) throw(bad_alloc);
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw();
-        virtual bool          IsValid(void) const throw();
+        virtual const Object& operator=(const Object& original);
+        virtual Object*       Clone(void) const;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const;
+        virtual bool          IsValid(void) const;
 
     protected:
         BagOfTriangles(resource*       resp,
                        directory*      pDir,
                        rt_db_internal* ip,
-                       db_i*           dbip = 0) throw();
+                       db_i*           dbip = 0);
 
         friend class ConstDatabase;
 
     private:
         struct rt_bot_internal *m_internalp;
-        const rt_bot_internal* Internal(void) const throw();
-        rt_bot_internal*       Internal(void) throw();
+        const rt_bot_internal* Internal(void) const;
+        rt_bot_internal*       Internal(void);
 
         friend class Database;
     };
Index: include/brlcad/Combination.h
===================================================================
--- include/brlcad/Combination.h	(revision 74453)
+++ include/brlcad/Combination.h	(working copy)
@@ -40,14 +40,14 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Combination : public Object {
     public:
-        Combination(void) throw(bad_alloc);
-        Combination(const Combination& original) throw(bad_alloc);
-        virtual ~Combination(void) throw();
+        Combination(void);
+        Combination(const Combination& original);
+        virtual ~Combination(void);
 
-        const Combination&    operator=(const Combination& original) throw(bad_alloc);
-        
-        class TreeNode; // part 1/2 of a work-around a bug in i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5465)
+        const Combination&    operator=(const Combination& original);
 
+        class TreeNode;       // part 1/2 of a work-around a bug in i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5465)
+
         class BRLCAD_COREINTERFACE_EXPORT ConstTreeNode {
         public:
             enum Operator {
@@ -60,23 +60,23 @@
                 Leaf          ///< actually an operand
             };
 
-            ConstTreeNode(void) throw() : m_tree(0) {}
-            ConstTreeNode(const ConstTreeNode& original) throw() : m_tree(original.m_tree) {}
-            virtual ~ConstTreeNode(void) throw() {}
+            ConstTreeNode(void): m_tree(0) {}
+            ConstTreeNode(const ConstTreeNode& original): m_tree(original.m_tree) {}
+            virtual ~ConstTreeNode(void){}
 
-            const ConstTreeNode& operator=(const ConstTreeNode& original) throw() {
+            const ConstTreeNode& operator=(const ConstTreeNode& original){
                 m_tree = original.m_tree;
                 return *this;
             }
 
-            Operator             Operation(void) const throw();
-            ConstTreeNode        LeftOperand(void) const throw();  ///< the left operand of a binary operation
-            ConstTreeNode        RightOperand(void) const throw(); ///< the right operand of a binary operation
-            ConstTreeNode        Operand(void) const throw();      ///< the operand of a unary operation
-            const char*          Name(void) const throw();         ///< the name of the operand object in a leaf
-            const double*        Matrix(void) const throw();       ///< the transformation matrix of the operand object in a leaf
+            Operator             Operation(void) const;
+            ConstTreeNode        LeftOperand(void) const;           ///< the left operand of a binary operation
+            ConstTreeNode        RightOperand(void) const;          ///< the right operand of a binary operation
+            ConstTreeNode        Operand(void) const;               ///< the operand of a unary operation
+            const char*          Name(void) const;                  ///< the name of the operand object in a leaf
+            const double*        Matrix(void) const;                ///< the transformation matrix of the operand object in a leaf
 
-                                 operator void*(void) {            ///< to test if the node is NULL
+                                 operator void*(void) {             ///< to test if the node is NULL
                 return m_tree;
             }
 
@@ -83,7 +83,7 @@
         protected:
             tree* m_tree;
 
-            ConstTreeNode(tree* original) throw() : m_tree(original) {}
+            ConstTreeNode(tree* original): m_tree(original) {}
 
             friend class TreeNode; // part 2/2 of a work-around a bug in i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5465)
             friend class Combination;
@@ -92,13 +92,13 @@
 
         class BRLCAD_COREINTERFACE_EXPORT TreeNode : public ConstTreeNode {
         public:
-            TreeNode(void) throw() : ConstTreeNode(), m_internalp(0), m_resp(0) {}
-            TreeNode(const TreeNode& original) throw() : ConstTreeNode(original),
+            TreeNode(void): ConstTreeNode(), m_internalp(0), m_resp(0) {}
+            TreeNode(const TreeNode& original): ConstTreeNode(original),
                                                          m_internalp(original.m_internalp),
                                                          m_resp(original.m_resp) {}
-            virtual ~TreeNode(void) throw() {}
+            virtual ~TreeNode(void){}
 
-            const TreeNode& operator=(const TreeNode& original) throw() {
+            const TreeNode& operator=(const TreeNode& original){
                 ConstTreeNode::operator=(original);
 
                 m_internalp = original.m_internalp;
@@ -107,11 +107,11 @@
                 return *this;
             }
 
-            TreeNode        LeftOperand(void) throw();                          ///< the left operand of a binary operation
-            TreeNode        RightOperand(void) throw();                         ///< the right operand of a binary operation
-            TreeNode        Operand(void) throw();                              ///< the operand of a unary operation
-            void            SetName(const char* value) const throw(bad_alloc);  ///< sets the name of the operand object in a leaf
-            void            SetMatrix(double value[16]) const throw(bad_alloc); ///< sets the transformation matrix of the operand object in a leaf
+            TreeNode        LeftOperand(void);                          ///< the left operand of a binary operation
+            TreeNode        RightOperand(void);                         ///< the right operand of a binary operation
+            TreeNode        Operand(void);                              ///< the operand of a unary operation
+            void            SetName(const char* value) const;           ///< sets the name of the operand object in a leaf
+            void            SetMatrix(double value[16]) const;          ///< sets the transformation matrix of the operand object in a leaf
 
             /// applies an operator to this node
             /** - it creates a new node
@@ -118,7 +118,7 @@
                 - the operator has to be unary, i.e. \a Not
                 - \return the new created operation node
             */
-            TreeNode        Apply(Operator op) throw(bad_alloc);
+            TreeNode        Apply(Operator op);
 
             /// creates a new node with "this op theOther"
             /** - the operator has to be binary
@@ -126,7 +126,7 @@
                 - \return the new created operation node
             */
             TreeNode        Apply(Operator             op,
-                                  const ConstTreeNode& theOther) throw(bad_alloc);
+                                  const ConstTreeNode& theOther);
 
             /// "this op leaf(\a leafName)"
             /** - creates two nodes
@@ -137,7 +137,7 @@
                 - \return the new created operation node
             */
             TreeNode        Apply(Operator    op,
-                                  const char* leafName) throw(bad_alloc);
+                                  const char* leafName);
 
             /// creates a new node with "theOther op this"
             /** - the operator has to be binary
@@ -145,7 +145,7 @@
                 - \return the new created operation node
             */
             TreeNode        Apply(const ConstTreeNode& theOther,
-                                  Operator             op) throw(bad_alloc);
+                                  Operator             op);
 
             /// "this op leaf(\a leafName)"
             /** - creates two nodes
@@ -156,7 +156,7 @@
                 - \return the new created operation node
             */
             TreeNode        Apply(const char* leafName,
-                                  Operator    op) throw(bad_alloc);
+                                  Operator    op);
 
             /// deletes this node and rewinds all parint nodes until a valid state is reached
             /** E.g. if this node is an operand of a binary operation, this operation will be removed too
@@ -164,7 +164,7 @@
 
                 This node becomes invalid (operator \a Null) during this procedure.
             */
-            void            Delete(void) throw();
+            void            Delete(void);
 
         private:
             rt_comb_internal* m_internalp;
@@ -172,21 +172,21 @@
 
             TreeNode(tree*             original,
                      rt_comb_internal* internalp,
-                     resource*         resp) throw() : ConstTreeNode(original), m_internalp(internalp), m_resp(resp) {}
+                     resource*         resp): ConstTreeNode(original), m_internalp(internalp), m_resp(resp) {}
 
             friend class Combination;
         };
 
 
-        ConstTreeNode         Tree(void) const throw();
-        TreeNode              Tree(void) throw();
+        ConstTreeNode         Tree(void) const;
+        TreeNode              Tree(void);
 
         /// adds a leaf to the tree
         /** If the tree's root node is not \a Null \a Tree().Apply(Union, leafName) will be performed */
-        void                  AddLeaf(const char* leafName) throw(bad_alloc);
+        void                  AddLeaf(const char* leafName);
 
-        bool                  IsRegion(void) const throw();
-        void                  SetIsRegion(bool value) throw();
+        bool                  IsRegion(void) const;
+        void                  SetIsRegion(bool value);
 
         enum FastgenType {
             Non,   ///< not a Fastgen region
@@ -194,45 +194,45 @@
             Volume
         };
 
-        FastgenType           FastgenRegion(void) const throw();
-        void                  SetFastgenRegion(FastgenType value) throw();
-        int                   RegionId(void) const throw();
-        void                  SetRegionId(int value) throw();
-        int                   Aircode(void) const throw();
-        void                  SetAircode(int value) throw();
-        int                   GiftMaterial(void) const throw();
-        void                  SetGiftMaterial(int value) throw();
-        int                   LineOfSight(void) const throw();
-        void                  SetLineOfSight(int value) throw();
-        bool                  HasColor(void) const throw();
-        void                  SetHasColor(bool value) throw();
-        double                Red(void) const throw();
-        void                  SetRed(double value) throw();
-        double                Green(void) const throw();
-        void                  SetGreen(double value) throw();
-        double                Blue(void) const throw();
-        void                  SetBlue(double value) throw();
-        const char*           Shader(void) const throw();
-        void                  SetShader(const char* value) throw(bad_alloc);
-        bool                  Inherit(void) const throw(); ///< override lower nodes color and shader
-        void                  SetInherit(bool value) throw();
-        const char*           Material(void) const throw();
-        void                  SetMaterial(const char* value) throw(bad_alloc);
-        double                Temperature(void) const throw();
-        void                  SetTemperature(double value) throw();
+        FastgenType           FastgenRegion(void) const;
+        void                  SetFastgenRegion(FastgenType value);
+        int                   RegionId(void) const;
+        void                  SetRegionId(int value);
+        int                   Aircode(void) const ;
+        void                  SetAircode(int value);
+        int                   GiftMaterial(void) const;
+        void                  SetGiftMaterial(int value);
+        int                   LineOfSight(void) const;
+        void                  SetLineOfSight(int value);
+        bool                  HasColor(void) const;
+        void                  SetHasColor(bool value);
+        double                Red(void) const;
+        void                  SetRed(double value);
+        double                Green(void) const;
+        void                  SetGreen(double value);
+        double                Blue(void) const;
+        void                  SetBlue(double value);
+        const char*           Shader(void) const;
+        void                  SetShader(const char* value);
+        bool                  Inherit(void) const;            ///< override lower nodes color and shader
+        void                  SetInherit(bool value);
+        const char*           Material(void) const;
+        void                  SetMaterial(const char* value);
+        double                Temperature(void) const;
+        void                  SetTemperature(double value);
 
         // inherited from BRLCAD::Object
-        virtual const Object& operator=(const Object& original) throw(bad_alloc);
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw();
-        virtual bool          IsValid(void) const throw();
+        virtual const Object& operator=(const Object& original);
+        virtual Object*       Clone(void) const;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const;
+        virtual bool          IsValid(void) const;
 
     protected:
         Combination(resource*       resp,
                     directory*      pDir,
                     rt_db_internal* ip,
-                    db_i*           dbip = 0) throw();
+                    db_i*           dbip = 0);
 
         friend class ConstDatabase;
 
@@ -240,8 +240,8 @@
         // holds Objects's content if not connected to a database
         rt_comb_internal* m_internalp;
 
-        const rt_comb_internal*   Internal(void) const throw();
-        virtual rt_comb_internal* Internal(void) throw();
+        const rt_comb_internal*   Internal(void) const;
+        virtual rt_comb_internal* Internal(void);
 
         friend class Database;
     };
